Bug 968934 - [abrt] eclipse-platform-4.2.2-6.fc18: poll: Process /usr/lib/eclipse/eclipse was killed by signal 6 (SIGABRT)
[abrt] eclipse-platform-4.2.2-6.fc18: poll: Process /usr/lib/eclipse/eclipse ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
abrt_hash:4ca22c0ddc449209f8325117686...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 06:12 EDT by easdue
Modified: 2014-02-05 16:35 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:35:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (11.44 KB, text/plain)
2013-05-30 06:12 EDT, easdue
no flags Details
File: cgroup (127 bytes, text/plain)
2013-05-30 06:12 EDT, easdue
no flags Details
File: core_backtrace (668 bytes, text/plain)
2013-05-30 06:12 EDT, easdue
no flags Details
File: dso_list (22.49 KB, text/plain)
2013-05-30 06:12 EDT, easdue
no flags Details
File: environ (3.22 KB, text/plain)
2013-05-30 06:12 EDT, easdue
no flags Details
File: hs_err.log (94.05 KB, text/plain)
2013-05-30 06:12 EDT, easdue
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-30 06:12 EDT, easdue
no flags Details
File: maps (64.80 KB, text/plain)
2013-05-30 06:12 EDT, easdue
no flags Details
File: open_fds (19.14 KB, text/plain)
2013-05-30 06:12 EDT, easdue
no flags Details
File: proc_pid_status (814 bytes, text/plain)
2013-05-30 06:12 EDT, easdue
no flags Details
File: xsession_errors (944 bytes, text/plain)
2013-05-30 06:12 EDT, easdue
no flags Details

  None (edit)
Description easdue 2013-05-30 06:12:10 EDT
Description of problem:
Was working normally on a android project. Closed all open files opened 2 .java files switched between them a couple of times and booooom

Version-Release number of selected component:
eclipse-platform-4.2.2-6.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/eclipse
crash_function: poll
executable:     /usr/lib/eclipse/eclipse
kernel:         3.9.4-200.fc18.i686.PAE
runlevel:       N 5
uid:            1000
var_log_messages: May 30 11:59:10 fubar01 abrt[12603]: Saved core dump of pid 7649 (/usr/lib/eclipse/eclipse) to /var/tmp/abrt/ccpp-2013-05-30-11:59:05-7649 (726708224 bytes)

Truncated backtrace:
Thread no. 35 (7 frames)
 #1 poll at ../sysdeps/unix/syscall-template.S:81
 #3 g_poll at gpoll.c:132
 #4 g_main_context_poll at gmain.c:3584
 #6 g_main_context_iteration at gmain.c:3351
 #7 dconf_gdbus_worker_thread at dconf-gdbus-thread.c:81
 #8 g_thread_proxy at gthread.c:797
 #9 ?? at /usr/lib/nvidia/libGL.so.1
Comment 1 easdue 2013-05-30 06:12:15 EDT
Created attachment 754757 [details]
File: backtrace
Comment 2 easdue 2013-05-30 06:12:19 EDT
Created attachment 754758 [details]
File: cgroup
Comment 3 easdue 2013-05-30 06:12:23 EDT
Created attachment 754759 [details]
File: core_backtrace
Comment 4 easdue 2013-05-30 06:12:27 EDT
Created attachment 754760 [details]
File: dso_list
Comment 5 easdue 2013-05-30 06:12:31 EDT
Created attachment 754761 [details]
File: environ
Comment 6 easdue 2013-05-30 06:12:35 EDT
Created attachment 754762 [details]
File: hs_err.log
Comment 7 easdue 2013-05-30 06:12:39 EDT
Created attachment 754763 [details]
File: limits
Comment 8 easdue 2013-05-30 06:12:43 EDT
Created attachment 754764 [details]
File: maps
Comment 9 easdue 2013-05-30 06:12:48 EDT
Created attachment 754765 [details]
File: open_fds
Comment 10 easdue 2013-05-30 06:12:52 EDT
Created attachment 754766 [details]
File: proc_pid_status
Comment 11 easdue 2013-05-30 06:12:56 EDT
Created attachment 754767 [details]
File: xsession_errors
Comment 12 Alexander Kurtakov 2013-08-12 12:11:58 EDT
Can you please test on Fedora 19?
Comment 13 easdue 2013-08-20 08:58:41 EDT
There's a entry in Automatic Bug Reporting Tool that eclipse was killed by signal 6. This is on Fedora 19. It's telling me that the problem data is incomplete and will not let me report it. Anything I can provide you with?
Comment 14 Alexander Kurtakov 2013-08-20 09:04:48 EDT
Can you try to remove ~/.eclipse and check?
Comment 15 easdue 2013-08-24 05:53:07 EDT
(In reply to Alexander Kurtakov from comment #14)
> Can you try to remove ~/.eclipse and check?

Happened again yesterday probably on logout. This is after removing ~/.eclipse and after running help->"Check for updates"
Comment 16 Fedora End Of Life 2013-12-21 08:47:01 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2014-02-05 16:35:35 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.